# norootforbuild

%define pkg_name    paradox
%define php_version %(php-config --version 2>/dev/null)
#
Name: php5-%{pkg_name}
Version: 1.4.3 
Release: 2.1
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: php5-devel libpx-devel
Requires: php5 = %{php_version}
#
URL: http://pecl.php.net/
Source: http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary: an extension to read and write Paradox .DB and .PX files
Patch0:  paradox-1.4.3-lib64.patch
  
%description

	Paradox is an extension to read and write Paradox .DB and .PX files.
It can handle almost all field types and binary large objects stored
in .MB files.
	
Authors:
---------

		Uwe Steinmann

%prep

%setup -q -n %{pkg_name}-%{version}
%patch0

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS


../configure --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}

popd

%install

%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d

echo "; comment out next line to disable %{pkg_name} extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/%{pkg_name}.ini
echo "extension = %{pkg_name}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/%{pkg_name}.ini

%clean

%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%{_libdir}/php5/extensions/%{pkg_name}.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/%{pkg_name}.ini

%doc CREDITS

%changelog
* Thu Oct 25 2007 crrodriguez@suse.de
- initial package
